﻿/* Copyright (C) Click & Push Accessibility, Inc - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written and maintained by the Click & Push Development team 
 * <dev@clicknpush.ca>, January 2022
 */

import { StyleSheet } from "react-native";
import { colors } from "../../../utils/GlobalUtils";
import { AppState, Platform, ScrollView, View, Image, Dimensions, } from "react-native"

const mapButtonShadow = StyleSheet.create({
    mapButtonShadow: {
        shadowColor: "grey",
        shadowOffset: {
            width: 0,
            height: 0,
        },
        shadowRadius: 2,
        shadowOpacity: 1,
        elevation: 10, 
    },
})

const mapStyles = StyleSheet.create({
    lowerMapButton: {
        ...mapButtonShadow.mapButtonShadow,
        backgroundColor: colors.red, 
        right: 20, 
        position: 'absolute', 
        height: 40, width: 40, 
        borderRadius: 20, 
        justifyContent: "center", 
        alignItems: 'center'
    },
    filterButtonOutdoor: {
        ...mapButtonShadow.mapButtonShadow,
        height: 40, 
        width: 40, 
        borderRadius: 20, 
        justifyContent: "center", 
        alignItems: 'center',
        backgroundColor: 'white', 
    },
    filterButtonIndoor: {
        ...mapButtonShadow.mapButtonShadow,
        height: 30, 
        width:  30, 
        borderRadius: 20, 
        justifyContent: "center", 
        alignItems: 'center',
        backgroundColor: 'white', 
    },
    userLocationButton: {
        bottom: 250, 
    },
    addLandmarkButton: {
        bottom: 190, 
    },
    voiceButton: {
        bottom:130,
    },
    alertButton: {
        bottom: 70,
    },
    previewButtonContainer: {
        bottom: 40,
        justifyContent: 'space-around',
        flexDirection: 'row',
        marginTop: -35
    },
    previewButtons: {
        borderRadius: 10,
        borderWidth: 1,
        padding: 0,
        width: 150,
        height: 35,
        justifyContent: "center",
        alignItems: "center",
    },
    previewTitle: {
        top: 60,
        flexDirection: 'row'
    },
    cancelPreview: {
        backgroundColor: colors.red,
        borderColor: colors.red,
    },
    confirmPreview: {
        backgroundColor: 'deepskyblue',
        borderColor: 'deepskyblue'
    },
    editIndoorLocation: {
        borderColor: 'white',
        marginLeft: 15,
        marginTop: 10,
    }
})

export default mapStyles